<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [JSHandle](./puppeteer.jshandle.md)

## JSHandle class


<b>Signature:</b>

```typescript
export declare class JSHandle 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(context, client, remoteObject)](./puppeteer.jshandle._constructor_.md) |  | Constructs a new instance of the <code>JSHandle</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [\_client](./puppeteer.jshandle._client.md) |  | [CDPSession](./puppeteer.cdpsession.md) |  |
|  [\_context](./puppeteer.jshandle._context.md) |  | [ExecutionContext](./puppeteer.executioncontext.md) |  |
|  [\_disposed](./puppeteer.jshandle._disposed.md) |  | boolean |  |
|  [\_remoteObject](./puppeteer.jshandle._remoteobject.md) |  | Protocol.Runtime.RemoteObject |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [asElement()](./puppeteer.jshandle.aselement.md) |  |  |
|  [dispose()](./puppeteer.jshandle.dispose.md) |  | The method stops referencing the element handle. |
|  [evaluate(pageFunction, args)](./puppeteer.jshandle.evaluate.md) |  | This method passes this handle as the first argument to <code>pageFunction</code>. If <code>pageFunction</code> returns a Promise, then <code>handle.evaluate</code> would wait for the promise to resolve and return its value. |
|  [evaluateHandle(pageFunction, args)](./puppeteer.jshandle.evaluatehandle.md) |  | This method passes this handle as the first argument to <code>pageFunction</code>. |
|  [executionContext()](./puppeteer.jshandle.executioncontext.md) |  |  |
|  [getProperties()](./puppeteer.jshandle.getproperties.md) |  | The method returns a map with property names as keys and JSHandle instances for the property values. |
|  [getProperty(propertyName)](./puppeteer.jshandle.getproperty.md) |  |  |
|  [jsonValue()](./puppeteer.jshandle.jsonvalue.md) |  | Returns a JSON representation of the object. |
|  [toString()](./puppeteer.jshandle.tostring.md) |  |  |

